
    create table animatorright (
        programmeid varchar2(255 char) not null,
        restricteduserid varchar2(255 char) not null,
        primary key (restricteduserid, programmeid)
    )

    create table archive (
        refid varchar2(255 char) not null,
        type varchar2(255 char) not null,
        version number(10,0) not null,
        creation timestamp not null,
        creator varchar2(255 char),
        latestmodification timestamp,
        latesteditor varchar2(255 char),
        starttimestamp number(19,0) not null,
        channelid varchar2(255 char) not null,
        playlist varchar2(255 char),
        timetableslot varchar2(255 char),
        duration number(19,0) not null,
        playlistcaption varchar2(255 char),
        programmecaption varchar2(255 char),
        track varchar2(255 char),
        authorcaption varchar2(255 char),
        titlecaption varchar2(255 char),
        albumcaption varchar2(255 char),
        publishercaption varchar2(255 char),
        copyrightcaption varchar2(255 char),
        requester varchar2(255 char),
        broadcastercaption varchar2(255 char),
        primary key (refid),
        unique (starttimestamp, channelid)
    )

    create table channel (
        label varchar2(255 char) not null,
        version number(10,0) not null,
        creation timestamp not null,
        creator varchar2(255 char),
        latestmodification timestamp,
        latesteditor varchar2(255 char),
        description varchar2(255 char),
        timezone varchar2(255 char) not null,
        maxdailyrequestlimitperuser number(10,0),
        url varchar2(255 char),
        tag varchar2(255 char),
        openregistration number(1,0) not null,
        streamitem varchar2(255 char) unique,
        seatnumber number(19,0),
        primary key (label)
    )

    create table channeladministratorright (
        channelid varchar2(255 char) not null,
        restricteduserid varchar2(255 char) not null,
        primary key (restricteduserid, channelid)
    )

    create table channeljournal (
        channelid varchar2(255 char) not null,
        logid varchar2(255 char) not null,
        primary key (channelid, logid)
    )

    create table contributorright (
        programmeid varchar2(255 char) not null,
        restricteduserid varchar2(255 char) not null,
        primary key (restricteduserid, programmeid)
    )

    create table curatorright (
        programmeid varchar2(255 char) not null,
        restricteduserid varchar2(255 char) not null,
        primary key (restricteduserid, programmeid)
    )

    create table filter (
        refid varchar2(255 char) not null,
        type varchar2(255 char) not null,
        version number(10,0) not null,
        slotid varchar2(255 char),
        include number(1,0) not null,
        mixedfeature varchar2(255 char),
        contains varchar2(255 char),
        numericfeature varchar2(255 char),
        minimum number(5,0),
        maximum number(5,0),
        categoryfeature varchar2(255 char),
        primary key (refid)
    )

    create table hit (
        apikey varchar2(255 char) not null,
        timestamp number(19,0) not null,
        version number(10,0) not null,
        primary key (apikey, timestamp)
    )

    create table journal (
        refid varchar2(255 char) not null,
        type varchar2(255 char) not null,
        version number(10,0) not null,
        logtimestamp number(19,0) not null,
        actor varchar2(255 char),
        actee varchar2(255 char),
        action varchar2(255 char),
        friendlyplaylistlabel varchar2(255 char),
        slottimestamp number(19,0),
        channellabel varchar2(255 char),
        friendlytrackauthorlabel varchar2(255 char),
        friendlytracktitlelabel varchar2(255 char),
        archivetimestamp number(19,0),
        reportstarttimestamp number(19,0),
        reportendtimestamp number(19,0),
        friendlyexceptionlabel varchar2(255 char),
        primary key (refid)
    )

    create table listenerright (
        channelid varchar2(255 char) not null,
        restricteduserid varchar2(255 char) not null,
        primary key (restricteduserid, channelid)
    )

    create table notification (
        refid varchar2(255 char) not null,
        type varchar2(255 char) not null,
        version number(10,0) not null,
        logtimestamp number(19,0) not null,
        actor varchar2(255 char),
        freetext varchar2(255 char),
        recipientnotified number(1,0) not null,
        recipientid varchar2(255 char) not null,
        sourceid raw(255),
        destinationid raw(255),
        action varchar2(255 char),
        slottimestamp number(19,0),
        channellabel varchar2(255 char),
        archivetimestamp number(19,0),
        reportstarttimestamp number(19,0),
        reportendtimestamp number(19,0),
        queueitemtimestamp number(19,0),
        entityid raw(255),
        friendlytrackauthorlabel varchar2(255 char),
        friendlytracktitlelabel varchar2(255 char),
        friendlyplaylistlabel varchar2(255 char),
        primary key (refid)
    )

    create table people (
        login varchar2(255 char) not null,
        type varchar2(255 char) not null,
        version number(10,0) not null,
        creation timestamp not null,
        creator varchar2(255 char),
        latestmodification timestamp,
        latesteditor varchar2(255 char),
        realname varchar2(255 char),
        password varchar2(255 char) not null,
        email varchar2(255 char) not null,
        enabled number(1,0) not null,
        timezone varchar2(255 char) not null,
        email_notification number(1,0) not null,
        primary key (login)
    )

    create table playlist (
        refid varchar2(255 char) not null,
        version number(10,0) not null,
        creation timestamp not null,
        creator varchar2(255 char),
        latestmodification timestamp,
        latesteditor varchar2(255 char),
        label varchar2(255 char),
        description varchar2(255 char),
        maxuserrequestlimit number(10,0),
        norequestreplaydelay number(19,0),
        norequestreplayinplaylist number(1,0) not null,
        ready number(1,0) not null,
        picture_format varchar2(255 char),
        picture_size number(19,0),
        programmeid varchar2(255 char) not null,
        live_broadcaster varchar2(255 char),
        live_login varchar2(255 char),
        live_password varchar2(255 char),
        advisory_age varchar2(255 char),
        advisory_violence number(1,0),
        advisory_profanity number(1,0),
        advisory_fear number(1,0),
        advisory_sex number(1,0),
        advisory_drugs number(1,0),
        advisory_discrimination number(1,0),
        author_tag varchar2(255 char),
        title_tag varchar2(255 char),
        album_tag varchar2(255 char),
        genre_tag varchar2(255 char),
        dateofrelease_tag number(5,0),
        description_tag varchar2(255 char),
        copyright_tag varchar2(255 char),
        advisory_age_tag varchar2(255 char),
        advisory_violence_tag number(1,0),
        advisory_profanity_tag number(1,0),
        advisory_fear_tag number(1,0),
        advisory_sex_tag number(1,0),
        advisory_drugs_tag number(1,0),
        advisory_discrimination_tag number(1,0),
        primary key (refid)
    )

    create table programme (
        label varchar2(255 char) not null,
        version number(10,0) not null,
        creation timestamp not null,
        creator varchar2(255 char),
        latestmodification timestamp,
        latesteditor varchar2(255 char),
        description varchar2(255 char),
        metainfoPattern varchar2(255 char),
        overlappingplaylistallowed number(1,0) not null,
        primary key (label)
    )

    create table programmechannel (
        channelid varchar2(255 char) not null,
        programmeid varchar2(255 char) not null,
        primary key (channelid, programmeid)
    )

    create table programmemanagerright (
        channelid varchar2(255 char) not null,
        restricteduserid varchar2(255 char) not null,
        primary key (restricteduserid, channelid)
    )

    create table queue (
        refid varchar2(255 char) not null,
        type varchar2(255 char) not null,
        version number(10,0) not null,
        channelid varchar2(255 char) not null,
        sequenceindex number(19,0) not null,
        pooled number(1,0) not null,
        likelystarttimestamp number(19,0) not null,
        likelyduration number(19,0) not null,
        timemarkeratend number(19,0),
        playlistfadein number(10,0),
        timetableid varchar2(255 char),
        trackid varchar2(255 char),
        playlistsequenceindex number(19,0),
        playlistloopindex number(19,0),
        naturalduration number(19,0),
        primary key (refid)
    )

    create table report (
        refid varchar2(255 char) not null,
        version number(10,0) not null,
        creation timestamp not null,
        creator varchar2(255 char),
        latestmodification timestamp,
        latesteditor varchar2(255 char),
        starttimestamp number(19,0) not null,
        stoptimestamp number(19,0) not null,
        channelid varchar2(255 char) not null,
        text_format varchar2(255 char),
        text_size number(19,0),
        ready number(1,0) not null,
        primary key (refid),
        unique (starttimestamp, stoptimestamp, channelid)
    )

    create table request (
        refid varchar2(255 char) not null,
        version number(10,0) not null,
        creation timestamp not null,
        creator varchar2(255 char),
        latestmodification timestamp,
        latesteditor varchar2(255 char),
        songid varchar2(255 char),
        channelid varchar2(255 char) not null,
        requesterid varchar2(255 char),
        streamitem varchar2(255 char) unique,
        queueitem varchar2(255 char) unique,
        message varchar2(255 char),
        primary key (refid),
        unique (songid, requesterid),
        unique (songid, channelid)
    )

    create table slot (
        refid varchar2(255 char) not null,
        type varchar2(255 char) not null,
        version number(10,0) not null,
        playlistid varchar2(255 char) not null,
        sequenceindex number(19,0) not null,
        fadein number(10,0),
        repeatloop number(19,0),
        request number(1,0) not null,
        trackid varchar2(255 char),
        selection varchar2(255 char),
        sort varchar2(255 char),
        limitstart number(19,0),
        limitend number(19,0),
        noreplaydelay number(19,0),
        noreplayinplaylist number(1,0),
        primary key (refid)
    )

    create table stream (
        refid varchar2(255 char) not null,
        type varchar2(255 char) not null,
        version number(10,0) not null,
        starttimestamp number(19,0) not null,
        likelyduration number(19,0) not null,
        queueid varchar2(255 char),
        trackid varchar2(255 char),
        primary key (refid)
    )

    create table timetableslot (
        refid varchar2(255 char) not null,
        type varchar2(255 char) not null,
        version number(10,0) not null,
        creation timestamp not null,
        creator varchar2(255 char),
        latestmodification timestamp,
        latesteditor varchar2(255 char),
        starttimestamp number(19,0) not null,
        channelid varchar2(255 char) not null,
        enabled number(1,0) not null,
        streamitem varchar2(255 char) unique,
        programmeid varchar2(255 char) not null,
        playlistid varchar2(255 char),
        endtimestamp number(19,0),
        decommissioningtimestamp number(19,0),
        startmillisecondfromperiod number(19,0),
        endmillisecondfromperiod number(19,0),
        primary key (refid),
        unique (starttimestamp, channelid)
    )

    create table track (
        refid varchar2(255 char) not null,
        type varchar2(255 char) not null,
        version number(10,0) not null,
        creation timestamp not null,
        creator varchar2(255 char),
        latestmodification timestamp,
        latesteditor varchar2(255 char),
        author varchar2(255 char) not null,
        title varchar2(255 char) not null,
        ready number(1,0) not null,
        album varchar2(255 char),
        genre varchar2(255 char),
        dateofrelease number(5,0),
        description varchar2(255 char),
        publisher varchar2(255 char),
        copyright varchar2(255 char),
        tag varchar2(255 char),
        advisory_age varchar2(255 char),
        advisory_violence number(1,0),
        advisory_profanity number(1,0),
        advisory_fear number(1,0),
        advisory_sex number(1,0),
        advisory_drugs number(1,0),
        advisory_discrimination number(1,0),
        audio_format varchar2(255 char),
        audio_size number(19,0),
        audio_duration float,
        audio_bitrate number(19,0),
        audio_samplerate number(10,0),
        audio_channels number(3,0),
        audio_vbr number(1,0),
        picture_format varchar2(255 char),
        picture_size number(19,0),
        enabled number(1,0),
        primary key (refid)
    )

    create table trackprogramme (
        refid varchar2(255 char) not null,
        type varchar2(255 char) not null,
        version number(10,0) not null,
        rotation number(19,0),
        trackid varchar2(255 char) not null,
        programmeid varchar2(255 char) not null,
        primary key (refid)
    )

    create table voting (
        refid varchar2(255 char) not null,
        version number(10,0) not null,
        creation timestamp not null,
        creator varchar2(255 char),
        latestmodification timestamp,
        latesteditor varchar2(255 char),
        songid varchar2(255 char) not null,
        restricteduserid varchar2(255 char) not null,
        value number(5,0) not null,
        primary key (refid),
        unique (songid, restricteduserid)
    )

    create table webservice (
        apikey varchar2(255 char) not null,
        version number(10,0) not null,
        creation timestamp not null,
        creator varchar2(255 char),
        latestmodification timestamp,
        latesteditor varchar2(255 char),
        channelid varchar2(255 char) not null,
        maxfirerate number(19,0),
        maxdailylimit number(19,0),
        privatekey varchar2(255 char) not null,
        whitelistregexp varchar2(255 char),
        nowplayingmodule number(1,0) not null,
        comingnextmodule number(1,0) not null,
        timetablemodule number(1,0) not null,
        votemodule number(1,0) not null,
        archivemodule number(1,0) not null,
        requestmodule number(1,0) not null,
        primary key (apikey)
    )

    alter table animatorright 
        add constraint FKBBD74F958810107F 
        foreign key (programmeid) 
        references programme

    alter table animatorright 
        add constraint FKBBD74F954F94DE48 
        foreign key (restricteduserid) 
        references people

    alter table animatorright 
        add constraint FKBBD74F95B4418FAD 
        foreign key (restricteduserid) 
        references people

    alter table archive 
        add constraint FKD368E0C2AC74AA78 
        foreign key (creator) 
        references people

    alter table archive 
        add constraint FKD368E0C29D8CDA00 
        foreign key (latesteditor) 
        references people

    alter table archive 
        add constraint FKD368E0C2C528BF4 
        foreign key (channelid) 
        references channel 
        on delete cascade

    alter table channel 
        add constraint FK2C0B7D038659E265 
        foreign key (streamitem) 
        references stream

    alter table channel 
        add constraint FK2C0B7D03AC74AA78 
        foreign key (creator) 
        references people

    alter table channel 
        add constraint FK2C0B7D039D8CDA00 
        foreign key (latesteditor) 
        references people

    alter table channeladministratorright 
        add constraint FK6CB819B24F94DE48 
        foreign key (restricteduserid) 
        references people

    alter table channeladministratorright 
        add constraint FK6CB819B2B4418FAD 
        foreign key (restricteduserid) 
        references people

    alter table channeladministratorright 
        add constraint FK6CB819B2C528BF4 
        foreign key (channelid) 
        references channel

    alter table channeljournal 
        add constraint FK178618D49F4505EA 
        foreign key (logid) 
        references journal

    alter table channeljournal 
        add constraint FK178618D4C528BF4 
        foreign key (channelid) 
        references channel

    alter table contributorright 
        add constraint FKE360B2218810107F 
        foreign key (programmeid) 
        references programme

    alter table contributorright 
        add constraint FKE360B2214F94DE48 
        foreign key (restricteduserid) 
        references people

    alter table contributorright 
        add constraint FKE360B221B4418FAD 
        foreign key (restricteduserid) 
        references people

    alter table curatorright 
        add constraint FKC7B754468810107F 
        foreign key (programmeid) 
        references programme

    alter table curatorright 
        add constraint FKC7B754464F94DE48 
        foreign key (restricteduserid) 
        references people

    alter table curatorright 
        add constraint FKC7B75446B4418FAD 
        foreign key (restricteduserid) 
        references people

    alter table filter 
        add constraint FKB408CB7861F1E934 
        foreign key (slotid) 
        references slot 
        on delete cascade

    alter table hit 
        add constraint FK19393AFE52351 
        foreign key (apikey) 
        references webservice 
        on delete cascade

    alter table listenerright 
        add constraint FK24BDCDE84F94DE48 
        foreign key (restricteduserid) 
        references people

    alter table listenerright 
        add constraint FK24BDCDE8B4418FAD 
        foreign key (restricteduserid) 
        references people

    alter table listenerright 
        add constraint FK24BDCDE8C528BF4 
        foreign key (channelid) 
        references channel

    alter table notification 
        add constraint FK237A88EBC318F0FB 
        foreign key (recipientid) 
        references people 
        on delete cascade

    alter table people 
        add constraint FKC4E2328FAC74AA78 
        foreign key (creator) 
        references people

    alter table people 
        add constraint FKC4E2328F9D8CDA00 
        foreign key (latesteditor) 
        references people

    alter table playlist 
        add constraint FK700681D28810107F 
        foreign key (programmeid) 
        references programme 
        on delete cascade

    alter table playlist 
        add constraint FK700681D2AC74AA78 
        foreign key (creator) 
        references people

    alter table playlist 
        add constraint FK700681D29D8CDA00 
        foreign key (latesteditor) 
        references people

    alter table programme 
        add constraint FKC6419B1CAC74AA78 
        foreign key (creator) 
        references people

    alter table programme 
        add constraint FKC6419B1C9D8CDA00 
        foreign key (latesteditor) 
        references people

    alter table programmechannel 
        add constraint FKBD766A678810107F 
        foreign key (programmeid) 
        references programme

    alter table programmechannel 
        add constraint FKBD766A67C528BF4 
        foreign key (channelid) 
        references channel

    alter table programmemanagerright 
        add constraint FK223C47AB4F94DE48 
        foreign key (restricteduserid) 
        references people

    alter table programmemanagerright 
        add constraint FK223C47ABB4418FAD 
        foreign key (restricteduserid) 
        references people

    alter table programmemanagerright 
        add constraint FK223C47ABC528BF4 
        foreign key (channelid) 
        references channel

    alter table queue 
        add constraint FK66F1911250E382C 
        foreign key (timetableid) 
        references timetableslot 
        on delete cascade

    alter table queue 
        add constraint FK66F1911CFBDDFDB 
        foreign key (trackid) 
        references track 
        on delete cascade

    alter table queue 
        add constraint FK66F1911C528BF4 
        foreign key (channelid) 
        references channel 
        on delete cascade

    alter table report 
        add constraint FKC84C5534AC74AA78 
        foreign key (creator) 
        references people

    alter table report 
        add constraint FKC84C55349D8CDA00 
        foreign key (latesteditor) 
        references people

    alter table report 
        add constraint FKC84C5534C528BF4 
        foreign key (channelid) 
        references channel

    alter table request 
        add constraint FK414EF28F7B5C3547 
        foreign key (streamitem) 
        references stream

    alter table request 
        add constraint FK414EF28FAC74AA78 
        foreign key (creator) 
        references people

    alter table request 
        add constraint FK414EF28F9D8CDA00 
        foreign key (latesteditor) 
        references people

    alter table request 
        add constraint FK414EF28F8960499E 
        foreign key (requesterid) 
        references people

    alter table request 
        add constraint FK414EF28F46EA69DB 
        foreign key (songid) 
        references track

    alter table request 
        add constraint FK414EF28F85A9471A 
        foreign key (songid) 
        references track

    alter table request 
        add constraint FK414EF28F9547BDF7 
        foreign key (songid) 
        references track

    alter table request 
        add constraint FK414EF28FC528BF4 
        foreign key (channelid) 
        references channel

    alter table request 
        add constraint FK414EF28FFA821798 
        foreign key (queueitem) 
        references queue

    alter table slot 
        add constraint FK35E9FE770C7D19 
        foreign key (playlistid) 
        references playlist 
        on delete cascade

    alter table slot 
        add constraint FK35E9FECFBDDFDB 
        foreign key (trackid) 
        references track 
        on delete cascade

    alter table stream 
        add constraint FKCAD54F80CFBDDFDB 
        foreign key (trackid) 
        references track 
        on delete cascade

    alter table timetableslot 
        add constraint FK8B1D129F8659E265 
        foreign key (streamitem) 
        references stream

    alter table timetableslot 
        add constraint FK8B1D129F8810107F 
        foreign key (programmeid) 
        references programme 
        on delete cascade

    alter table timetableslot 
        add constraint FK8B1D129F770C7D19 
        foreign key (playlistid) 
        references playlist

    alter table timetableslot 
        add constraint FK8B1D129FAC74AA78 
        foreign key (creator) 
        references people

    alter table timetableslot 
        add constraint FK8B1D129F9D8CDA00 
        foreign key (latesteditor) 
        references people

    alter table timetableslot 
        add constraint FK8B1D129FC528BF4 
        foreign key (channelid) 
        references channel 
        on delete cascade

    alter table track 
        add constraint FK697F14BAC74AA78 
        foreign key (creator) 
        references people

    alter table track 
        add constraint FK697F14B9D8CDA00 
        foreign key (latesteditor) 
        references people

    alter table trackprogramme 
        add constraint FKEE8CEE318810107F 
        foreign key (programmeid) 
        references programme

    alter table trackprogramme 
        add constraint FKEE8CEE3164D4190C 
        foreign key (trackid) 
        references track

    alter table voting 
        add constraint FKCFAE5D27AC74AA78 
        foreign key (creator) 
        references people

    alter table voting 
        add constraint FKCFAE5D279D8CDA00 
        foreign key (latesteditor) 
        references people

    alter table voting 
        add constraint FKCFAE5D274F94DE48 
        foreign key (restricteduserid) 
        references people 
        on delete cascade

    alter table voting 
        add constraint FKCFAE5D2746EA69DB 
        foreign key (songid) 
        references track

    alter table voting 
        add constraint FKCFAE5D2785A9471A 
        foreign key (songid) 
        references track

    alter table voting 
        add constraint FKCFAE5D279547BDF7 
        foreign key (songid) 
        references track

    alter table webservice 
        add constraint FK479A54E1AC74AA78 
        foreign key (creator) 
        references people

    alter table webservice 
        add constraint FK479A54E19D8CDA00 
        foreign key (latesteditor) 
        references people

    alter table webservice 
        add constraint FK479A54E1C528BF4 
        foreign key (channelid) 
        references channel 
        on delete cascade
